Skip to main content
POST
/
form
/
human_input
/
{form_token}
提交人工介入表单
curl --request POST \
  --url https://{api_base_url}/form/human_input/{form_token} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": {
    "feedback": "可以发布",
    "priority": "high",
    "attachment": {
      "transfer_method": "local_file",
      "upload_file_id": "3c8fa1b2-7d4e-4f9a-b0c1-d2e3f4a5b6c7",
      "type": "image"
    },
    "attachments": [
      {
        "transfer_method": "local_file",
        "upload_file_id": "1a77f0df-c0e6-461c-987c-e72526f341ee",
        "type": "document"
      },
      {
        "transfer_method": "remote_url",
        "url": "https://example.com/report.pdf",
        "type": "document"
      }
    ]
  },
  "action": "approve",
  "user": "abc-123"
}
'
import requests

url = "https://{api_base_url}/form/human_input/{form_token}"

payload = {
    "inputs": {
        "feedback": "可以发布",
        "priority": "high",
        "attachment": {
            "transfer_method": "local_file",
            "upload_file_id": "3c8fa1b2-7d4e-4f9a-b0c1-d2e3f4a5b6c7",
            "type": "image"
        },
        "attachments": [
            {
                "transfer_method": "local_file",
                "upload_file_id": "1a77f0df-c0e6-461c-987c-e72526f341ee",
                "type": "document"
            },
            {
                "transfer_method": "remote_url",
                "url": "https://example.com/report.pdf",
                "type": "document"
            }
        ]
    },
    "action": "approve",
    "user": "abc-123"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    inputs: {
      feedback: '可以发布',
      priority: 'high',
      attachment: {
        transfer_method: 'local_file',
        upload_file_id: '3c8fa1b2-7d4e-4f9a-b0c1-d2e3f4a5b6c7',
        type: 'image'
      },
      attachments: [
        {
          transfer_method: 'local_file',
          upload_file_id: '1a77f0df-c0e6-461c-987c-e72526f341ee',
          type: 'document'
        },
        {
          transfer_method: 'remote_url',
          url: 'https://example.com/report.pdf',
          type: 'document'
        }
      ]
    },
    action: 'approve',
    user: 'abc-123'
  })
};

fetch('https://{api_base_url}/form/human_input/{form_token}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。缺少或无效的 API Key 会返回 HTTP 401,错误码为 unauthorized

Path Parameters

form_token
string
required

暂停表单的访问令牌,由流式模式下执行工作流或发送对话消息接口返回的 human_input_required 事件提供。

Body

application/json
inputs
object
required

按各输入的 output_variable_name 作为键提交的值。段落和下拉选项输入为字符串;file 输入为单个文件映射;file-list 输入为文件映射数组。文件映射为 {transfer_method: local_file, upload_file_id, type}{transfer_method: remote_url, url, type},其中 type 为该字段 allowed_file_types 中的一种(imagedocumentaudiovideocustom)。对于 local_fileupload_file_id上传文件 返回的 id。请在执行、上传和提交各次调用中使用一致的 user

action
string
required

接收人选择的操作按钮 ID。必须与表单的 user_actions 列表(由 获取人工介入表单 接口返回)中的某个 id 值匹配。

user
string
required

用户标识符,由开发者定义的规则生成,必须在应用内唯一。Service API 与 WebApp 的用户 ID 相互独立,即使取值相同也不指向同一用户。

Response

表单提交成功。响应体为空对象。

The response is of type object.

Last modified on July 9, 2026